/* Generated by powerful Codeforces Tool
 * Author: xxxodarap
 * Time: 2023-08-02 19:11
**/

#include<bits/stdc++.h>
using namespace std;

#define F(i, a, e) for(ll i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef long double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;

const int MAXN = 2e5 + 5;
ll N;

void solve(){
    // Code goes here ...
    cin >> N;
    
    bool firstascend = true;
    ll num, last, first;
    cin >> first;
    cout << 1;
    last = first;
    R(i, N - 1){
        cin >> num;
        if(firstascend){
            if(last <= num){
                cout << 1;
                last = num;
            }
            else{
                if(num <= first){
                    firstascend = false;
                    cout << 1;
                    last = num;
                }
                else
                    cout << 0;
            }
        }
        else{
            if(num <= first and last <= num){
                cout << 1;
                last = num;
            }
            else{
                cout << 0;
                /* last = num; */
            }
        }
    }
    cout << endl;
}

int main(){
    ios_base::sync_with_stdio(false);
    cout << fixed << setprecision(8);
    int T;
    cin >> T;
    while(T--)
        solve();
}
        
